package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDiskSnapshotListModel struct {
	// request fields
	DiskID   types.Int64    `tfsdk:"disk_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id    types.String `tfsdk:"id"`
	Items types.List   `tfsdk:"items"`
}
