package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDPDKModel struct {
	//required field
	DPDKID   types.Int64    `tfsdk:"dpdk_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	//response field
	AccountAccess types.List   `tfsdk:"account_access"`
	CreatedTime   types.Int64  `tfsdk:"created_time"`
	Desc          types.String `tfsdk:"desc"`
	GID           types.Int64  `tfsdk:"gid"`
	GUID          types.Int64  `tfsdk:"guid"`
	Id            types.String `tfsdk:"id"`
	Name          types.String `tfsdk:"name"`
	RGAccess      types.List   `tfsdk:"rg_access"`
	Status        types.String `tfsdk:"status"`
	OVSBridge     types.String `tfsdk:"ovs_bridge"`
	VlanID        types.Int64  `tfsdk:"vlan_id"`
	ComputeIDs    types.List   `tfsdk:"compute_ids"`
	UpdatedTime   types.Int64  `tfsdk:"updated_time"`
}
