package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type RecordK8SWgCloudInitDataSourceModel struct {
	// request fields
	K8SID    types.Int64    `tfsdk:"k8s_id"`
	WgId     types.Int64    `tfsdk:"wg_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id        types.String `tfsdk:"id"`
	CloudInit types.String `tfsdk:"cloud_init"`
}
