package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type GetConsoleUrlModel struct {
	// request fields
	ComputeID types.Int64    `tfsdk:"compute_id"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id         types.String `tfsdk:"id"`
	ConsoleURL types.String `tfsdk:"console_url"`
}
