package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type GetLogModel struct {
	// request fields
	ComputeID types.Int64    `tfsdk:"compute_id"`
	Path      types.String   `tfsdk:"path"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id  types.String `tfsdk:"id"`
	Log types.String `tfsdk:"log"`
}
