package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceVINSStaticRouteModel struct {
	// request fields
	VinsID   types.Int64    `tfsdk:"vins_id"`
	RouteID  types.Int64    `tfsdk:"route_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id          types.String `tfsdk:"id"`
	ComputeIds  types.List   `tfsdk:"compute_ids"`
	Destination types.String `tfsdk:"destination"`
	Gateway     types.String `tfsdk:"gateway"`
	GUID        types.String `tfsdk:"guid"`
	Netmask     types.String `tfsdk:"netmask"`
}
