package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAccountAvailableTemplatesListModel struct {
	// request fields
	AccountID types.Int64    `tfsdk:"account_id"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Items types.List `tfsdk:"items"`
}
