package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAudit struct {
	//required field
	AuditGuid types.String   `tfsdk:"audit_guid"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	//response field
	Arguments    types.String  `tfsdk:"args"`
	Call         types.String  `tfsdk:"call"`
	GUID         types.String  `tfsdk:"guid"`
	ID           types.String  `tfsdk:"id"`
	Kwargs       types.String  `tfsdk:"kwargs"`
	RemoteAddr   types.String  `tfsdk:"remote_addr"`
	ResponseTime types.Float64 `tfsdk:"responsetime"`
	Result       types.String  `tfsdk:"result"`
	StatusCode   types.Int64   `tfsdk:"status_code"`
	Tags         types.String  `tfsdk:"tags"`
	Timestamp    types.Float64 `tfsdk:"timestamp"`
	TimestampEnd types.Float64 `tfsdk:"timestamp_end"`
	User         types.String  `tfsdk:"user"`
}
