package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDiskListTypesModel struct {
	// request fields - optional
	SortBy   types.String   `tfsdk:"sort_by"`
	Page     types.Int64    `tfsdk:"page"`
	Size     types.Int64    `tfsdk:"size"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String `tfsdk:"id"`
	Items      types.List   `tfsdk:"items"`
	EntryCount types.Int64  `tfsdk:"entry_count"`
}
