/*
Пример использования
Получение информации о зарезервированных IP адресах или пуле адресов
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_extnet_reserved_ip_list" "ex_reserved_ip" {
  #идентификатор аккаунта, для которого зарезервированны ресурсы
  #обязательный параметр
  #тип - целое число
  account_id = 1111

  #идентификатор сети
  #опциональный параметр
  #тип - целое число
  #extnet_id = 1111
}

output "test" {
  value = data.dynamix_extnet_reserved_ip_list.ex_reserved_ip
}
