/*
Пример использования
Получение информации об образе
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_image" "image" {
  #id образа
  #обязательный параметр
  #тип - целое число
  image_id = 111

  #позывать ли информацию об удаленном образе
  #опциональный параметр
  #тип - булев
  #по умолчанию - false
  #show_all = false
}

output "test" {
  value = data.dynamix_image.image
}
