/*
Пример использования
Получение информации о мета данных рабочей группы k8s кластера
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/


provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_k8s_wg_cloud_init" "wg_cloud_init" {
  #id кластера
  #обязательный параметр
  #тип - целое число
  k8s_id = 977

  #id группы воркеров
  #обязательный параметр
  #тип - целое число
  wg_id = 2110
}

output "wg_cloud_init" {
  value = data.dynamix_k8s_wg_cloud_init.wg_cloud_init
}



