/*
Пример использования
Получение url compute (виртуальной машины)
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_kvmvm_get_console_url" "kvmvm_get_console_url" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154
}

output "output" {
  value = data.dynamix_kvmvm_get_console_url.kvmvm_get_console_url
}
