/*
Пример использования
Получение информации о специальной группе компьютов
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_rg_affinity_group_computes" "lc" {
  #id ресурсной группы
  #обязательный параметр
  #тип - целое число
  rg_id = 123

  #название специальной группы компьютов
  #обязательное поле
  #тип - строка
  affinity_group = "TEST"
}

output "output" {
  value = data.dynamix_rg_affinity_group_computes.lc
}
