/*
Пример использования
Получение списка vfpool
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

data "dynamix_vfpool_list" "vfpool_list" {
  #фильтрация списка для получения информации о конкретном vfpool по его id
  #необязательный параметр
  #тип - целое число
  #by_id = 1

  #фильтрация списка для получения информации о vfpool, которые принадлежат к определенному GRID
  #необязательный параметр
  #тип - целое число
  #gid = 1

  #фильтрация списка для получения информации о конкретном vfpool по его имени
  #необязательный параметр
  #тип - строка
  #name = "alpha-cpu-04"

  #фильтрация списка для получения информации о конкретном vfpool по его описанию
  #необязательный параметр
  #тип - строка
  #description = "some"

  #фильтрация списка для получения информации о vfpool, которые имеют соответствующий статус
  #необязательный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтрация списка для получения информации о vfpool, которые доступны конкретному аккаунту
  #необязательный параметр
  #тип - целое число
  #account_access = 1

  #фильтрация списка для получения информации о vfpool, которые доступны конкретной ресурсной группе
  #необязательный параметр
  #тип - целое число
  #rg_access = 1

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #если не задан - выводятся все доступные данные
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #если не задан - выводятся все доступные данные
  #size = 3
}

output "test" {
  value = data.dynamix_vfpool_list.vfpool_list
}