_Data source_ функция **dynamix_extnet_default** служит для получения информации о доступной внешней сети по умолчанию.

## Аргументы
_Data source_ функция **dynamix_extnet_default** не имеет аргументов.


## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_extnet_default** возвращает следующий результат:

| Параметр | Тип | Описание |
| --- | --- | --- |
| net_id | int | ID сети по-умолчанию |

## Пример использования
Пример вызова _data source_ функции **dynamix_extnet_default**:
```terraform
data "dynamix_extnet_default" "ed" {

}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_extnet_default** в переменной `data.dynamix_extnet_default.ed` будут сохранены возвращаемые значения.
