_Data source_ функция **dynamix_kvmvm_get_console_url** служит для получения url консоли компьюта.

## Аргументы

_Data source_ функция **dynamix_kvmvm_get_console_url** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID компьюта |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_kvmvm_get_console_url** возвращает в указанную при вызове переменную следующие значения:
| Параметр | Тип | Описание |
| --- | --- | --- |
| console_url | string | url консоли компьюта |

## Пример использования
```terraform
data "dynamix_kvmvm_get_console_url" "kvmvm_get_console_url" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова _data source_ функции **dynamix_kvmvm_get_console_url** в переменной `data.dynamix_kvmvm_get_console_url.kvmvm_get_console_url` будут сохранены возвращаемые значения.
