package constants

// LimitMaxVinsPerResgroup set maximum number of VINs instances per Resource Group
const LimitMaxVinsPerResgroup = 4

// MaxSshKeysPerCompute sets maximum number of user:ssh_key pairs to authorize when creating new compute
const MaxSshKeysPerCompute = 12

// MaxExtraDisksPerCompute sets maximum number of extra disks that can be added when creating new compute
const MaxExtraDisksPerCompute = 12

// MaxNetworksPerCompute sets maximum number of vNICs per compute
const MaxNetworksPerCompute = 8

// MaxCpusPerCompute sets maximum number of vCPUs per compute
const MaxCpusPerCompute = 128

// MinRamPerCompute sets minimum amount of RAM per compute in MB
const MinRamPerCompute = 128

// DivisibleByRAM sets multiplicity of RAM per compute
const DivisibleByRAM = 128
