package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceAudit() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		"audit_guid": schema.StringAttribute{
			Required: true,
		},
		"args": schema.StringAttribute{
			Computed: true,
		},
		"call": schema.StringAttribute{
			Computed: true,
		},
		"guid": schema.StringAttribute{
			Computed: true,
		},
		"kwargs": schema.StringAttribute{
			Computed: true,
		},
		"remote_addr": schema.StringAttribute{
			Computed: true,
		},
		"responsetime": schema.Float64Attribute{
			Computed: true,
		},
		"result": schema.StringAttribute{
			Computed: true,
		},
		"status_code": schema.Int64Attribute{
			Computed: true,
		},
		"tags": schema.StringAttribute{
			Computed: true,
		},
		"timestamp": schema.Float64Attribute{
			Computed: true,
		},
		"timestamp_end": schema.Float64Attribute{
			Computed: true,
		},
		"user": schema.StringAttribute{
			Computed: true,
		},
		"id": schema.StringAttribute{
			Computed: true,
		},
	}
}
