package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceExtNetDefaultModel struct {
	// request fields
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id    types.String `tfsdk:"id"`
	NetId types.Int64  `tfsdk:"net_id"`
}
