package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ListSnapShotsModel struct {
	// request fields
	ComputeID types.Int64    `tfsdk:"compute_id"`
	Label     types.String   `tfsdk:"label"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id    types.String             `tfsdk:"id"`
	Items []ItemUsageSnapshotModel `tfsdk:"items"`
}

type ItemUsageSnapshotModel struct {
	Count     types.Int64   `tfsdk:"count"`
	Stored    types.Float64 `tfsdk:"stored"`
	Label     types.String  `tfsdk:"label"`
	Timestamp types.Int64   `tfsdk:"timestamp"`
}
