package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceAccountAvailableTemplatesList() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		"account_id": schema.Int64Attribute{
			Required: true,
		},
		"items": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
	}

}
