package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/resource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ResourceLBBackendModel struct {
	Algorithm types.String   `tfsdk:"algorithm"`
	LBID      types.Int64    `tfsdk:"lb_id"`
	Name      types.String   `tfsdk:"name"`
	ID        types.String   `tfsdk:"id"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`
	GUID      types.String   `tfsdk:"guid"`
	Inter     types.Int64    `tfsdk:"inter"`
	DownInter types.Int64    `tfsdk:"downinter"`
	Rise      types.Int64    `tfsdk:"rise"`
	Fall      types.Int64    `tfsdk:"fall"`
	SlowStart types.Int64    `tfsdk:"slowstart"`
	MaxConn   types.Int64    `tfsdk:"maxconn"`
	MaxQueue  types.Int64    `tfsdk:"maxqueue"`
	Weight    types.Int64    `tfsdk:"weight"`
	Servers   types.List     `tfsdk:"servers"`
}
