package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceRGUsageModel struct {
	// request fields
	RGID     types.Int64    `tfsdk:"rg_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id          types.String `tfsdk:"id"`
	CPU         types.Int64  `tfsdk:"cpu"`
	DiskSize    types.Int64  `tfsdk:"disk_size"`
	DiskSizeMax types.Int64  `tfsdk:"disk_size_max"`
	ExtIPs      types.Int64  `tfsdk:"extips"`
	ExtTraffic  types.Int64  `tfsdk:"exttraffic"`
	GPU         types.Int64  `tfsdk:"gpu"`
	RAM         types.Int64  `tfsdk:"ram"`
	SEPs        types.List   `tfsdk:"seps"`
}
