/*
Пример использования
Получение информации о зарезервированных вычислительных мощностях
*/

/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_account_reserved_units" "aru" {
  #id аккаунта
  #обязательный параметр
  #тип - целое число
  account_id = 11111
}

output "test" {
  value = data.dynamix_account_reserved_units.aru
}