/*
Пример использования
Ресурс снапшота диска
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "dynamix_disk_snapshot" "ds" {
  #номер диска
  #обязательный параметр
  #тип - целое число
  disk_id = 20100

  #ярлык диска
  #обязательный параметр
  #тип - строка
  label = "label"

  #флаг rollback
  #опциональный параметр
  #тип - булев
  rollback = false

  #временная метка timestamp
  #опциональный параметр
  #применяется в связке с rollback = true
  #дефолтное значение - 0
  #тип - целое число
  timestamp = 0
}

output "test" {
  value = dynamix_disk_snapshot.ds
}
