/*
Пример использования
Управления виртуальным образом
Ресурс позволяет:
1. Создавать image virtual
2. Изменять image virtual
2. Удалять image virtual
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "dynamix_image_virtual" "iv" {
  #имя виртуального образа
  #обязательный параметр
  #при изменении - обновляет имя виртуального образа
  #тип - строка
  image_name = "iv-name"

  #ID реального образа, на который будет ссылаться виртуальный
  #обязательный параметр
  #при изменении - ссылается на другой реальный образ
  #тип - целое число
  link_to = 123

  #флаг для удаления образа
  #опциональный параметр
  #дефолтное значение - true
  #тип - булев
  #permanently = false
}

output "sr" {
  value = dynamix_image_virtual.iv
}
