_Data source_ функция **dynamix_location_url** служит для получения url площадки (grid/location).

## Аргументы
_Data source_ функция **dynamix_location_url** не принимает аргументы.

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_location_url** возвращает в указанную при вызове переменную, которая состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| url | string | Адрес площадки |


## Пример использования
Пример вызова _data source_ функции **dynamix_location_url**:
```terraform
data "dynamix_location_url" "lu" {
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.0.1/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_location_url** в переменной `data.dynamix_location_url.lu` будут сохранены возвращаемые значения.
